Download it now!
Bug 31168 - Some PPTX pages appear blank
Summary: Some PPTX pages appear blank
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 09:55 UTC by Matti Aarnio
Modified: 2011-12-22 05:53 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Problematic PPTX file (872.73 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2010-10-27 09:55 UTC, Matti Aarnio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matti Aarnio 2010-10-27 09:55:06 UTC
Created attachment 39814 [details]
Problematic PPTX file

Some pages of attached document appear blank.
For example page4.

A simple png media file is supposed to be there, but somehow slide gives very large offset value(?) and system doesn't know what to do with the image.


Just in case the following URL isn't stable, I have also attached it on this bug.

http://lhc-commissioning.web.cern.ch/lhc-commissioning/news-2010/presentations/week43/2010-10-27-report.pptx

Software:

libreoffice-impress-3.2.99.1-2.fc15.x86_64
Comment 1 Cyril Arnaud 2010-10-29 13:19:25 UTC
I also observed this kind of behavior. I opened the attached file with openoffice.org 3.2.1 and with libreoffice 3.3.0-9.
With openoffice the png appears on page 4 (and on the other ones too)
I also observed different problems with images and other objects on several other files (arrows, clipart).
The conversion via openoffice impress is far from perfect, but it seems that the conversion with libreoffice impress is worse.
Comment 2 Yifan Jiang 2010-11-18 20:52:41 UTC
Hi Matti, do you still see this on 3.2.99.3? The page 4 is no longer empty on my i586 version. Thank you!
Comment 3 Katarina Behrens 2011-03-23 08:59:20 UTC
Hm, this seems to work with 3.3 version. Closing as fixed then, please reopen if the issue reappears
Comment 4 Björn Michaelsen 2011-12-22 05:36:57 UTC
Remove infoprovider from closed and resolved bugs.
Comment 5 Björn Michaelsen 2011-12-22 05:53:32 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.